summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMatthewLi <matthew.lijun@huawei.com>2015-12-07 22:40:33 -0800
committerMatthewLi <matthew.lijun@huawei.com>2015-12-07 22:45:04 -0800
commit702d81860af98f99043ecd604969e67d98fd5b00 (patch)
tree09467cb3ef35bfae56b46e8add21e38273cd7693
parent37470ab743d5dfc279342cb1933d7630a6fa0397 (diff)
ssh login passwordless script
JIRA: BOTTLENECK-32 Change-Id: I8dca120b3efe55b493b94ac77f95788212eedbc1 Signed-off-by: MatthewLi <matthew.lijun@huawei.com>
-rw-r--r--utils/infra_setup/passwordless_SSH/README.rst30
-rwxr-xr-xutils/infra_setup/passwordless_SSH/set_passwordless_ssh.sh52
2 files changed, 82 insertions, 0 deletions
diff --git a/utils/infra_setup/passwordless_SSH/README.rst b/utils/infra_setup/passwordless_SSH/README.rst
new file mode 100644
index 00000000..46a6aaae
--- /dev/null
+++ b/utils/infra_setup/passwordless_SSH/README.rst
@@ -0,0 +1,30 @@
+..
+.. image:: ../etc/opnfv-logo.png
+ :height: 40
+ :width: 200
+ :alt: OPNFV
+ :align: left
+..
+|
+|
+
+how to use the ssh login passwordless script
+============================================
+
+This script helps configure passwordless SSH between two machines.
+
+SCOPE
+The script itself is nothing more than putting in line the few commands needed to set up this rather simple, if annoying, procedure and should keep
+you focusing on the important stuff rather than remembering syntax details.
+
+USAGE
+You must place this script on the client machine and run it. You can provide two arguments on the command line, the first one is the hostname that will
+accept passwordless login and the second one is the username on that machine.
+
+If the second argument is ommited, the username will default to the username on the client machine and if both arguments are omitted, they will be asked interactively.
+
+
+evision: _sha1_
+
+Build date: |today|
+
diff --git a/utils/infra_setup/passwordless_SSH/set_passwordless_ssh.sh b/utils/infra_setup/passwordless_SSH/set_passwordless_ssh.sh
new file mode 100755
index 00000000..cbca6b20
--- /dev/null
+++ b/utils/infra_setup/passwordless_SSH/set_passwordless_ssh.sh
@@ -0,0 +1,52 @@
+#! /bin/bash
+
+#this script is copied from https://github.com/guioconnor/Passwordless-SSH.
+#the Bottlenecks project needs to set the machines login each other passwordless, this script is appropriate.
+
+filename="id_rsa"
+path="$HOME/.ssh"
+
+if [ $1 ]
+then
+ hostname=$1
+ if [ $2 ]
+ then
+ username=$2
+ else
+ username="$USER"
+ fi
+else
+ # Read the host and username to store public key (the host/username accepting passwordless ssh from this computer)
+ echo "What host you want to grant passwordless SSH from this computer?"
+ read hostname
+ echo "What is your username on $hostname? ($USER?)"
+ read username
+
+ if [ ! $username ]
+ then
+ username="$USER"
+ fi
+fi
+
+
+# Generate rsa files
+if [ -f $path/$filename ]
+then
+ echo "RSA key exists on $path/$filename, using existing file"
+else
+ ssh-keygen -t rsa -f "$path/$filename"
+ echo RSA key pair generated
+fi
+
+echo "We need to log into $hostname as $username to set up your public key (hopefully last time you'll use password from this computer)"
+cat "$path/$filename.pub" | ssh "$hostname" -l "$username" '[ -d .ssh ] || mkdir .ssh; cat >> .ssh/authorized_keys; chmod 700 ~/.ssh; chmod 600 ~/.ssh/authorized_keys'
+status=$?
+
+if [ $status -eq 0 ]
+then
+ echo "Set up complete, try to ssh to $host now"
+ exit 0
+else
+ echo "an error has occured"
+ exit 255
+fi